> For the complete documentation index, see [llms.txt](https://docs.trust.enterprises/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trust.enterprises/rest-api/inscriptions/deploy-an-inscription.md).

# Deploy an Inscription

### Deployment HCS-20 Structure

This is the stucture that is used to send to the topic, this payload has been humanised to be more understandable.

```
{
  "p": "hcs-20",
  "op": "deploy",
  "name": "point_name",
  "tick": "unique_point_identifier",
  "max": "max_supply",
  "lim": "optional_limit_of_mint_per_transaction",
  "metadata": "optional_metadata",
  "m": "optional_memo"
}
```

### Overview

There are 3 required fields needed to deploy an inscription:

* name
* ticker
* max (supply)

These are the optional fields you can use:

* topic\_id (your private application for controlling all points or inscriptions)
* limit (the amount of points or inscription amount that can be sent in one tx)
* metadata (any HIP412 compliant data, can be used for NFT/Art)
* memo (an additional memo at the deployment level)

<mark style="color:green;">`POST`</mark> `https://hedera-serverless-consensus.vercel.app/api/inscription/deploy`

Deploy an Inscription

#### Headers

| Name                                        | Type   | Description                                                       |
| ------------------------------------------- | ------ | ----------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | The **API\_SECRET\_KEY** from the client's environment variables. |

#### Request Body

| Name                                     | Type   | Description                            |
| ---------------------------------------- | ------ | -------------------------------------- |
| ticker<mark style="color:red;">\*</mark> |        | Unique ticker of the inscription       |
| name<mark style="color:red;">\*</mark>   | String | Name of the inscription                |
| max<mark style="color:red;">\*</mark>    | Int    | Supply of the inscription              |
| topic\_id                                | String | your private topic for limiting access |
| limit                                    | Int    |                                        |
| metadata                                 | String |                                        |
| memo                                     | String |                                        |
|                                          |        |                                        |

{% tabs %}
{% tab title="200: OK Inscription Deployed" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized Header Auth Missing/invalid" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Missing params in body" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trust.enterprises/rest-api/inscriptions/deploy-an-inscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
